Status: Closed   

Priority: Normal   

Category:    

Customer: MERCEDES-BENZ TRUCK Product Issue

Numbers:

 

Department: TP/EMD Affected Products: ADTF 2.14.2, ADTF Autosar Toolbox

1.1.0, ADTF Calibration Toolbox 2.8.2,

ADTF Device Toolbox 2.7.2, ADTF

Display Toolbox 2.1.1, ADTF Video

Compression Toolbox 2.5.0

Requester's Priority: Normal Platform:  

Support Level: 2nd Level Topic: DeviceTB::Ethernet

Resolution: Not Supported Scope FAQ Links:  

Description

Supportanfrage

Bosch verwendet in Ihrer Rohdatenaufzeichnung ein Kithara-Tool unter ADTF 2.14.2. Dieses Tool liefert den BRR (Ethernet-Stream)

in einem anderen Format als wie es bspw. im Ethernet_Device_UDP-Filter verwendet wird. Zur Konvertierung verwendet Bosch

einen ARXML_Change_Media_Type_Filter. Ist dieser Filter für uns verfügbar?

Haben wir Alternativen, um diesen Stream in das üblichere Format zu konvertieren?

Haben wir eigentlich eine Toolbox für die Interpretation von Ethernet-ARXML-Beschreibungen und einen Ethernet-Trace (analog

dem CAN-Trace)?

Lösung

Bosch verwendet in Ihrer Rohdatenaufzeichnung ein Kithara-Tool unter ADTF 2.14.2. Dieses Tool liefert den BRR

(Ethernet-Stream) in einem anderen Format als wie es bspw. im Ethernet_Device_UDP-Filter verwendet wird. Zur

Konvertierung verwendet Bosch einen ARXML_Change_Media_Type_Filter. Ist dieser Filter für uns verfügbar?

 Dazu ist uns leider nichts bekannt, weder von einen Konverter noch von der Struktur. Ich denke hier kann euer BOSCH Kontakt

sicher am besten weiterhelfen, und auch die entsprechenden Komponenten geben, das ist ja "nur" ein Mapping und keine Logik

Haben wir Alternativen, um diesen Stream in das üblichere Format zu konvertieren?

 Mit Bordmitteln nicht. Wenn das Format bekannt ist, könnte man sich einen eigenen Konverter schreiben oder das datfile mittels

Streaming Lib konvertieren (also executable statt Filter schreiben).

Aber ich denke trotzdem dass dies die BOSCH Leute problemlos beistellen können, oder zumindest die Datenbeschreibung dass ihr

sie mappen könnt.

Aber ohne die Beschreibung des Typs kommt ihr hier nicht weiter...

Haben wir eigentlich eine Toolbox für die Interpretation von Ethernet-ARXML-Beschreibungen und einen Ethernet-Trace

(analog dem CAN-Trace)?

 Nein, ADTF bietet von Haus aus keinen arxml Parser.

In ADTF 2.x besteht die Möglchkeit, eine enstprechende Toolbox dafür bei Elektrobit zu erwerben (die habt ihr vielleicht schon

gekauft ?)

In ADTF 3.x wurde ein Support seitens Kundenforum auch verneint, wir können aber über eine Anbindung abseits des

Kundenforums sprechen bzw. ihr bei uns einen Parser beauftragen, natürlich nur für ADTF 3.x, ADTF 2.x läuft zum Jahresende ja

aus.

Aber im Standardumfang ist das (leider auf mehrfache Intention von uns) von allen Seiten verneint worden...

EB bietet bislang hierfür keinen Support in ADTF 3.x an.
History

#1 - 2020-02-05 09:59 - hidden

- Status changed from New to Customer Feedback Required

- Topic set to DeviceTB::Ethernet

- Resolution set to Not Supported Scope

Hallo Marco,

Bosch verwendet in Ihrer Rohdatenaufzeichnung ein Kithara-Tool unter ADTF 2.14.2. Dieses Tool liefert den BRR (Ethernet-Stream) in einem

anderen Format als wie es bspw. im Ethernet_Device_UDP-Filter verwendet wird. Zur Konvertierung verwendet Bosch einen

ARXML_Change_Media_Type_Filter. Ist dieser Filter für uns verfügbar?

 Dazu ist uns leider nichts bekannt, weder von einen Konverter noch von der Struktur. Ich denke hier kann euer BOSCH Kontakt sicher am besten

weiterhelfen, und auch die entsprechenden Komponenten geben, das ist ja "nur" ein Mapping und keine Logik

Haben wir Alternativen, um diesen Stream in das üblichere Format zu konvertieren?

 Mit Bordmitteln nicht. Wenn das Format bekannt ist, könnte man sich einen eigenen Konverter schreiben oder das datfile mittels Streaming Lib

konvertieren (also executable statt Filter schreiben).

Aber ich denke trotzdem dass dies die BOSCH Leute problemlos beistellen können, oder zumindest die Datenbeschreibung dass ihr sie mappen

könnt.

Aber ohne die Beschreibung des Typs kommt ihr hier nicht weiter...

Haben wir eigentlich eine Toolbox für die Interpretation von Ethernet-ARXML-Beschreibungen und einen Ethernet-Trace (analog dem

CAN-Trace)?

 Nein, ADTF bietet von Haus aus keinen arxml Parser.

In ADTF 2.x besteht die Möglchkeit, eine enstprechende Toolbox dafür bei Elektrobit zu erwerben (die habt ihr vielleicht schon gekauft ?)

In ADTF 3.x wurde ein Support seitens Kundenforum auch verneint, wir können aber über eine Anbindung abseits des Kundenforums sprechen bzw.

ihr bei uns einen Parser beauftragen, natürlich nur für ADTF 3.x, ADTF 2.x läuft zum Jahresende ja aus.

Aber im Standardumfang ist das (leider auf mehrfache Intention von uns) von allen Seiten verneint worden...

EB bietet bislang hierfür keinen Support in ADTF 3.x an.

#2 - 2020-02-13 14:40 - hidden

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

#3 - 2020-07-07 16:18 - hidden

- Project changed from 9 to Public Support

- Private changed from Yes to No

#4 - 2020-07-07 16:40 - hidden

- Status changed from To Be Closed to Closed

#5 - 2023-05-03 10:39 - hidden

- Customer changed from DAIMLER to MERCEDES-BENZ TRUCK
